# eric4.Preferences.ConfigurationPages.EditorProperties1Page

Module implementing the Editor Properties (1) configuration page.

### Classes

EditorProperties1Page | Class implementing the Editor Properties (1) configuration page.

### Functions

create | Module function to create the configuration page.

## EditorProperties1Page

Class implementing the Editor Properties (1) configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorProperties1Page

### Methods

EditorProperties1Page | Constructor
save | Public slot to save the Editor Properties (1) configuration.

#### EditorProperties1Page (Constructor)

EditorProperties1Page()

Constructor

lexers
  reference to the lexers dictionary

#### EditorProperties1Page.save

save()

Public slot to save the Editor Properties (1) configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up